This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 33086 - Installer crashes after formatting partitions - looks like its in the anaconda process - when starting to install packages
Installer crashes after formatting partitions - looks like its in the anacond...
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-24 09:14 EST by Mark R. Gilder
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-24 09:51:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark R. Gilder 2001-03-24 09:14:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90)


During the initial installation the install program crashes.
I have tried to install as both a workstation and server with
the same results.  The crash occurs right after formatting
the partitions during the initial install of the selected
packages.  It crashes in the anaconda process at the 
same place each time.

Reproducible: Always
Steps to Reproduce:
1.Just install the product selecting either workstation or server
2.
3.
	

Actual Results:  Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", 
line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1543, in 
doInstall
    self.instCallback, p)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1298, in 
instCallback
    self.rpmFD = os.open(fn, os.O_RDONLY)
OSError: [Errno 2] No such file or 
directory: '/mnt/source/RedHat/RPMS/setup-2.3.4-1.noarch.rpm'

Local variables in innermost frame:
fn: /mnt/source/RedHat/RPMS/setup-2.3.4-1.noarch.rpm
total: 0
self: <todo.ToDo instance at 842ea20>
h: <header object at 899b978>
amount: 0
intf: <progress_gui.InstallProgressWindow instance at 84730e8>
what: 2

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>


Expected Results:  The install should have succeeded.
Comment 1 Mark R. Gilder 2001-03-24 09:51:49 EST
I have downloaded and installed the ananconda patch: RHBA-2000:084-04 and
the installation process is moving along okay now - about 50% complete.
No problems yet.
Comment 2 Mark R. Gilder 2001-03-25 22:13:19 EST
Installation worked fine with the RHBA-2000:084-04 patch.

Note You need to log in before you can comment on or make changes to this bug.